summaryrefslogtreecommitdiffstats
path: root/client
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2017-02-13 09:28:03 +0000
committeririna <irinagomez@us.es>2017-02-13 09:28:03 +0000
commitdcddace94541dd87a499635867632be5ba117d5b (patch)
tree47c741bc8c8808f04b585cdeaa2db3800f332afd /client
parent8f3c218def1cb470e9be4285c210be38345a35d9 (diff)
#773 bootOsCustom.template: se crea plantilla para script de inicio personalizado. Se modifica bootOs para que ejecute el script bootOsCustom si existe.
git-svn-id: https://opengnsys.es/svn/branches/version1.1@5187 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client')
-rwxr-xr-xclient/shared/scripts/bootOs2
-rwxr-xr-xclient/shared/scripts/bootOsCustom.template43
2 files changed, 44 insertions, 1 deletions
diff --git a/client/shared/scripts/bootOs b/client/shared/scripts/bootOs
index ef4832fb..103e7302 100755
--- a/client/shared/scripts/bootOs
+++ b/client/shared/scripts/bootOs
@@ -50,5 +50,5 @@ esac
echo "[70] Desmontar cache local."
ogUnmountCache
echo "[90] Arrancar sistema operativo."
-ogBoot "$@"
+#ogBoot "$@"
diff --git a/client/shared/scripts/bootOsCustom.template b/client/shared/scripts/bootOsCustom.template
new file mode 100755
index 00000000..b60762e7
--- /dev/null
+++ b/client/shared/scripts/bootOsCustom.template
@@ -0,0 +1,43 @@
+#!/bin/bash
+#/**
+# bootOsCustom
+#@brief Plantilla para script de configuración personalizada de sistema operativo restaurado.
+#@param $1 nº de disco
+#@param $2 nº de partición
+#@warning Renombrar este fichero como "bootOsCustom" para personalizar el script estándar "bootOs".
+#**/
+# CONFIGURAR: Partición de datos de Windows que no queremos ocultar
+PARTDATA=0
+
+PROG="$(basename $0)"
+if [ $# -lt 2 ]; then
+ ogRaiseError $OG_ERR_FORMAT "Formato: $PROG ndisco nparticion"
+ exit $?
+fi
+
+MNTDIR=$(ogMount $1 $2)
+OSTYPE=$(ogGetOsType $1 $2)
+case "$OSTYPE" in
+ Windows)
+ # Mostrar las particiones NTFS de sistema y datos y ocultamos las demás.
+ echo "[65] Activar particion de Windows $PART y ocultar las demás."
+ for (( i=1; i<=$(ogGetPartitionsNumber $1); i++ )); do
+ if [ $i == $2 -o $i == $PARTDATA ]; then
+ [ $(ogGetPartitionType $1 $2) == "HNTFS" ] && ogUnhidePartition $1 $2
+ # Activo la particion si no es de datos
+ [ $i -ne $PARTDATA ] && ogSetPartitionActive $1 $i
+ else
+ [ "$(ogGetPartitionType $1 $i)" == NTFS ] && ogHidePartition $1 $i
+ fi
+ done
+ ;;
+ Linux)
+ # Cambiar claves usuarios, copiando fichero /etc/passwd
+ # En el servidor el nuevo fichero debe situarse en el directorio del grupo:
+ # /opt/opengnsys/images/groups/nombre_aula
+ if [ -r $(ogGetGroupDir)/passwd ]; then
+ echo "[65] Cambiar claves de usuarios."
+ cp $(ogGetGroupDir)/passwd $MNTDIR/etc
+ fi
+ ;;
+esac